<html>
<head>
<title>OgreTextureManager.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreTextureManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreTextureManager_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef _TextureManager_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define _TextureManager_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreResourceManager_8h.html">OgreResourceManager.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreTexture_8h.html">OgreTexture.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreSingleton_8h.html">OgreSingleton.h</a>&quot;</span>
<a name="l00037"></a>00037 
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="keyword">namespace </span>Ogre {
<a name="l00040"></a>00040 
<a name="l00060"></a><a class="code" href="classOgre_1_1TextureManager.html">00060</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1TextureManager.html" title="Class for loading &amp; managing textures.">TextureManager</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a>, <span class="keyword">public</span> <a class="code" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>&lt;TextureManager&gt;
<a name="l00061"></a>00061     {
<a name="l00062"></a>00062     <span class="keyword">public</span>:
<a name="l00063"></a>00063 
<a name="l00064"></a>00064         <a class="code" href="classOgre_1_1TextureManager.html" title="Class for loading &amp; managing textures.">TextureManager</a>(<span class="keywordtype">void</span>);
<a name="l00065"></a>00065         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1TextureManager.html" title="Class for loading &amp; managing textures.">TextureManager</a>();
<a name="l00066"></a>00066 
<a name="l00092"></a>00092         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1ResourceManager.html#af484f2b60c8d9bc87f37fa8af8e630c5">ResourceCreateOrRetrieveResult</a> createOrRetrieve(
<a name="l00093"></a>00093             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group, <span class="keywordtype">bool</span> isManual = <span class="keyword">false</span>,
<a name="l00094"></a>00094             <a class="code" href="classOgre_1_1ManualResourceLoader.html" title="Interface describing a manual resource loader.">ManualResourceLoader</a>* loader = 0, <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a>* createParams = 0,
<a name="l00095"></a>00095             <a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> texType = <a class="code" href="group__Resources.html#ggae50520af6377ff8184cf79125cb9c4d7af1f732018f5a2a7d35233e2ceeb4ee0e" title="2D texture, used in combination with 2D texture coordinates (default)">TEX_TYPE_2D</a>, <span class="keywordtype">int</span> numMipmaps = <a class="code" href="group__Resources.html#gga528ce4f4c67c9b043e1f0b8bb3cdf255a56eea45719de5246f4ea9b8e8b54921d" title="Use TextureManager default.">MIP_DEFAULT</a>, 
<a name="l00096"></a>00096             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> gamma = 1.0f, <span class="keywordtype">bool</span> isAlpha = <span class="keyword">false</span>,
<a name="l00097"></a>00097             <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> desiredFormat = <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caa4292ed700edc51d74776f6efaf2a099" title="Unknown pixel format.">PF_UNKNOWN</a>, <span class="keywordtype">bool</span> hwGammaCorrection = <span class="keyword">false</span>);
<a name="l00098"></a>00098 
<a name="l00126"></a>00126         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a> prepare( 
<a name="l00127"></a>00127             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group, 
<a name="l00128"></a>00128             <a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> texType = <a class="code" href="group__Resources.html#ggae50520af6377ff8184cf79125cb9c4d7af1f732018f5a2a7d35233e2ceeb4ee0e" title="2D texture, used in combination with 2D texture coordinates (default)">TEX_TYPE_2D</a>, <span class="keywordtype">int</span> numMipmaps = <a class="code" href="group__Resources.html#gga528ce4f4c67c9b043e1f0b8bb3cdf255a56eea45719de5246f4ea9b8e8b54921d" title="Use TextureManager default.">MIP_DEFAULT</a>, 
<a name="l00129"></a>00129             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> gamma = 1.0f, <span class="keywordtype">bool</span> isAlpha = <span class="keyword">false</span>,
<a name="l00130"></a>00130             <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> desiredFormat = <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caa4292ed700edc51d74776f6efaf2a099" title="Unknown pixel format.">PF_UNKNOWN</a>, <span class="keywordtype">bool</span> hwGammaCorrection = <span class="keyword">false</span>);
<a name="l00131"></a>00131 
<a name="l00161"></a>00161         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a> load( 
<a name="l00162"></a>00162             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group, 
<a name="l00163"></a>00163             <a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> texType = <a class="code" href="group__Resources.html#ggae50520af6377ff8184cf79125cb9c4d7af1f732018f5a2a7d35233e2ceeb4ee0e" title="2D texture, used in combination with 2D texture coordinates (default)">TEX_TYPE_2D</a>, <span class="keywordtype">int</span> numMipmaps = <a class="code" href="group__Resources.html#gga528ce4f4c67c9b043e1f0b8bb3cdf255a56eea45719de5246f4ea9b8e8b54921d" title="Use TextureManager default.">MIP_DEFAULT</a>, 
<a name="l00164"></a>00164             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> gamma = 1.0f, <span class="keywordtype">bool</span> isAlpha = <span class="keyword">false</span>,
<a name="l00165"></a>00165             <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> desiredFormat = <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caa4292ed700edc51d74776f6efaf2a099" title="Unknown pixel format.">PF_UNKNOWN</a>, 
<a name="l00166"></a>00166             <span class="keywordtype">bool</span> hwGammaCorrection = <span class="keyword">false</span>);
<a name="l00167"></a>00167 
<a name="l00199"></a>00199         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a> loadImage( 
<a name="l00200"></a>00200             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a> &amp;img, 
<a name="l00201"></a>00201             <a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> texType = <a class="code" href="group__Resources.html#ggae50520af6377ff8184cf79125cb9c4d7af1f732018f5a2a7d35233e2ceeb4ee0e" title="2D texture, used in combination with 2D texture coordinates (default)">TEX_TYPE_2D</a>,
<a name="l00202"></a>00202             <span class="keywordtype">int</span> iNumMipmaps = <a class="code" href="group__Resources.html#gga528ce4f4c67c9b043e1f0b8bb3cdf255a56eea45719de5246f4ea9b8e8b54921d" title="Use TextureManager default.">MIP_DEFAULT</a>, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> gamma = 1.0f, <span class="keywordtype">bool</span> isAlpha = <span class="keyword">false</span>,
<a name="l00203"></a>00203             <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> desiredFormat = <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caa4292ed700edc51d74776f6efaf2a099" title="Unknown pixel format.">PF_UNKNOWN</a>, <span class="keywordtype">bool</span> hwGammaCorrection = <span class="keyword">false</span>);
<a name="l00204"></a>00204             
<a name="l00237"></a>00237         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a> loadRawData(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group,
<a name="l00238"></a>00238             <a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> uWidth, <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> uHeight, 
<a name="l00239"></a>00239             <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> texType = <a class="code" href="group__Resources.html#ggae50520af6377ff8184cf79125cb9c4d7af1f732018f5a2a7d35233e2ceeb4ee0e" title="2D texture, used in combination with 2D texture coordinates (default)">TEX_TYPE_2D</a>, 
<a name="l00240"></a>00240             <span class="keywordtype">int</span> iNumMipmaps = <a class="code" href="group__Resources.html#gga528ce4f4c67c9b043e1f0b8bb3cdf255a56eea45719de5246f4ea9b8e8b54921d" title="Use TextureManager default.">MIP_DEFAULT</a>, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> gamma = 1.0f, <span class="keywordtype">bool</span> hwGammaCorrection = <span class="keyword">false</span>);
<a name="l00241"></a>00241 
<a name="l00284"></a>00284         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a> createManual(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group,
<a name="l00285"></a>00285             <a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> texType, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> width, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> height, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> depth, 
<a name="l00286"></a>00286             <span class="keywordtype">int</span> num_mips, <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <span class="keywordtype">int</span> usage = <a class="code" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67acaa45fe77d1becf4c5bd353bc2aa764b" title="default to automatic mipmap generation static textures">TU_DEFAULT</a>, <a class="code" href="classOgre_1_1ManualResourceLoader.html" title="Interface describing a manual resource loader.">ManualResourceLoader</a>* loader = 0,
<a name="l00287"></a>00287             <span class="keywordtype">bool</span> hwGammaCorrection = <span class="keyword">false</span>, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa = 0, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; fsaaHint = <a class="code" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da" title="Constant blank string, useful for returning by ref where local does not exist.">StringUtil::BLANK</a>);
<a name="l00288"></a>00288             
<a name="l00331"></a><a class="code" href="classOgre_1_1TextureManager.html#ae7973b065066fa2fc46f20a8d5493dea">00331</a>         <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a> createManual(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group,
<a name="l00332"></a>00332             <a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> texType, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> width, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> height, <span class="keywordtype">int</span> num_mips,
<a name="l00333"></a>00333             <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <span class="keywordtype">int</span> usage = <a class="code" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67acaa45fe77d1becf4c5bd353bc2aa764b" title="default to automatic mipmap generation static textures">TU_DEFAULT</a>, <a class="code" href="classOgre_1_1ManualResourceLoader.html" title="Interface describing a manual resource loader.">ManualResourceLoader</a>* loader = 0,
<a name="l00334"></a>00334             <span class="keywordtype">bool</span> hwGammaCorrection = <span class="keyword">false</span>, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa = 0, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; fsaaHint = <a class="code" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da" title="Constant blank string, useful for returning by ref where local does not exist.">StringUtil::BLANK</a>)
<a name="l00335"></a>00335         {
<a name="l00336"></a>00336             <span class="keywordflow">return</span> createManual(name, group, texType, width, height, 1, 
<a name="l00337"></a>00337                 num_mips, format, usage, loader, hwGammaCorrection, fsaa, fsaaHint);
<a name="l00338"></a>00338         }
<a name="l00339"></a>00339 
<a name="l00347"></a>00347         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPreferredIntegerBitDepth(<a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> bits, <span class="keywordtype">bool</span> reloadTextures = <span class="keyword">true</span>);
<a name="l00348"></a>00348 
<a name="l00351"></a>00351         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> getPreferredIntegerBitDepth(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00352"></a>00352 
<a name="l00360"></a>00360         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPreferredFloatBitDepth(<a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> bits, <span class="keywordtype">bool</span> reloadTextures = <span class="keyword">true</span>);
<a name="l00361"></a>00361 
<a name="l00364"></a>00364         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> getPreferredFloatBitDepth(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00365"></a>00365 
<a name="l00376"></a>00376         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPreferredBitDepths(<a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> integerBits, <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> floatBits, <span class="keywordtype">bool</span> reloadTextures = <span class="keyword">true</span>);
<a name="l00377"></a>00377 
<a name="l00394"></a>00394         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isFormatSupported(<a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> ttype, <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <span class="keywordtype">int</span> usage);
<a name="l00395"></a>00395 
<a name="l00399"></a>00399         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isEquivalentFormatSupported(<a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> ttype, <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <span class="keywordtype">int</span> usage);
<a name="l00400"></a>00400 
<a name="l00404"></a>00404         <span class="keyword">virtual</span> <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> getNativeFormat(<a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> ttype, <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <span class="keywordtype">int</span> usage) = 0;
<a name="l00405"></a>00405 
<a name="l00445"></a>00445         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isHardwareFilteringSupported(<a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> ttype, <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <span class="keywordtype">int</span> usage,
<a name="l00446"></a>00446             <span class="keywordtype">bool</span> preciseFormatOnly = <span class="keyword">false</span>) = 0;
<a name="l00447"></a>00447 
<a name="l00456"></a>00456         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setDefaultNumMipmaps(<span class="keywordtype">size_t</span> num);
<a name="l00457"></a>00457 
<a name="l00460"></a><a class="code" href="classOgre_1_1TextureManager.html#a3cc7b930d37bc9fc156f7a2cadb572a3">00460</a>         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> getDefaultNumMipmaps()
<a name="l00461"></a>00461         {
<a name="l00462"></a>00462             <span class="keywordflow">return</span> mDefaultNumMipmaps;
<a name="l00463"></a>00463         }
<a name="l00464"></a>00464 
<a name="l00480"></a>00480         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextureManager.html" title="Class for loading &amp; managing textures.">TextureManager</a>&amp; getSingleton(<span class="keywordtype">void</span>);
<a name="l00496"></a>00496         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextureManager.html" title="Class for loading &amp; managing textures.">TextureManager</a>* getSingletonPtr(<span class="keywordtype">void</span>);
<a name="l00497"></a>00497 
<a name="l00498"></a>00498     <span class="keyword">protected</span>:
<a name="l00499"></a>00499 
<a name="l00500"></a><a class="code" href="classOgre_1_1TextureManager.html#afd3d774913cd2e1d01d3670e0dd5ac9c">00500</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1TextureManager.html#afd3d774913cd2e1d01d3670e0dd5ac9c">mPreferredIntegerBitDepth</a>;
<a name="l00501"></a><a class="code" href="classOgre_1_1TextureManager.html#a26393ed87920709f9e73715bb9b90468">00501</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1TextureManager.html#a26393ed87920709f9e73715bb9b90468">mPreferredFloatBitDepth</a>;
<a name="l00502"></a><a class="code" href="classOgre_1_1TextureManager.html#a3c3115c8ccf3796cad2ec691ce019221">00502</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1TextureManager.html#a3c3115c8ccf3796cad2ec691ce019221">mDefaultNumMipmaps</a>;
<a name="l00503"></a>00503     };
<a name="l00506"></a>00506 }<span class="comment">// Namespace</span>
<a name="l00507"></a>00507 
<a name="l00508"></a>00508 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:52
</p>
</body>
</html>
